SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   Adobe Flash Player Vendors:   Macromedia
Macromedia Flash Player Has Unspecified Buffer Overflow That May Allow Remote Users to Execute Arbitrary Code
SecurityTracker Alert ID:  1006207
SecurityTracker URL:  http://securitytracker.com/id/1006207
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Mar 4 2003
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, Modification of system information, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 6,0,79,0
Description:   Two vulnerabilities were reported in Macromedia's Flash Player. A remote user could execute arbitrary code on the target user's system or could access files on the system.

A buffer overflow is reported. A remote user could create malicious content that, when loaded by the target user's Flash Player, could execute arbitrary code on the target user's system. The code would run with the privileges of the target user. The nature of the buffer overflow was not disclosed.

It is also reported that malicious code could violate the Flash Player's sandbox integrity mechanisms. A remote user could create malicious code that, when loaded by the target user's Flash Player, could gain access to objects on the target user's computer. The nature of this flaw was not disclosed.

Macromedia has labeled this as a "critical" security issue.

Impact:   A remote user could create Flash content that could execute arbitrary code or access objects on the target user's system.
Solution:   The vendor has released a fixed version (6,0,79,0), available at:

http://www.macromedia.com/go/getflashplayer/

The vendor recommends that all users upgrade to the latest version.

Vendor URL:  www.macromedia.com/v1/handlers/index.cfm?ID=23821 (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  MPSB03-03 Security Patch for Macromedia Flash Player


http://www.macromedia.com/v1/handlers/index.cfm?ID=23821

Macromedia released a security bulletin (MPSB03-03) notifying of customers of a patch for the
Macromedia Flash Player.  The patch was issued to address "potential security issues."

A buffer overflow is reported.  A remote user could create malicious content that, when loaded by
the target user's Flash Player, could execute arbitrary code on the target user's system.

It is also reported that malicious code could violate the Flash Player's sandbox integrity
mechanisms.  A remote user could create malicious code that, when loaded by the target user's Flash
Player, could gain access to objects on the target user's computer.

Macromedia has labeled this as a "critical" update.  Users are advised by the vendor to update to
the newest player.

No further details were provided.

The patch is a cumulative security patch (6,0,79,0), available at:

http://www.macromedia.com/go/getflashplayer/

-----

Originally posted: March 3, 2003
Last updated: March 3, 2003


 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC